%define upstream_name	 Apache-SessionX
%define upstream_version 2.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	An extended persistence framework for session data
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GRICHTER/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		%{name}-2.01.fhs.patch
Patch1:		%{name}-2.01.test.patch


BuildRequires:	perl(Apache::Session)
BuildRequires:  perl(DB_File)
BuildArch:	noarch


%define testdir %{_tmppath}/%{name}-%{version}-test

%description
Apache::SessionX extends Apache::Session. It was initially written to use
Apache::Session from inside of HTML::Embperl, but is seems to be useful
outside of Embperl as well, so here is it as standalone module.

Apache::Session is a persistence framework which is particularly
useful for tracking session data between httpd requests. Apache::Session is
designed to work with Apache and mod_perl, but it should work under CGI and
other web servers, and it also works outside of a web server altogether.

Apache::Session consists of five components: the interface, the object
store, the lock manager, the ID generator, and the serializer. The interface
is defined in SessionX.pm, which is meant to be easily subclassed. The
object store can be the filesystem, a Berkeley DB, a MySQL DB, an Oracle DB,
or a Postgres DB. Locking is done by lock files, semaphores, or the locking
capabilities of MySQL and Postgres. Serialization is done via Storable, and
optionally ASCII-fied via MIME or pack(). ID numbers are generated via MD5.
The reader is encouraged to extend these capabilities to meet his own
requirements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README
%patch -P 0
%patch -P 1 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%{__rm} -rf %{testdir}
mkdir %{testdir}
export TESTDIR=%{testdir}
%{__make} test

%clean 
%{__rm} -rf %{buildroot}
%{__rm} -rf %{testdir}

%install
%make_install
install -d -m 755 %{buildroot}%{_localstatedir}/lib/ApacheSessionX

%files
%doc CHANGES README
%{_mandir}/*/*
%{perl_vendorlib}/Apache
%attr(-,apache,apache) %{_localstatedir}/lib/ApacheSessionX


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.10.0-13.mga10
+ Revision: 2128017
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 2.10.0-12.mga9
+ Revision: 1808239
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.10.0-11.mga8
+ Revision: 1503452
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-10.mga7
+ Revision: 1281603
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.10.0-9.mga7
+ Revision: 1162985
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2.10.0-8.mga6
+ Revision: 1022530
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.10.0-7.mga6
+ Revision: 943558
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-6.mga5
+ Revision: 748841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-5.mga5
+ Revision: 683497
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.0-4.mga4
+ Revision: 509082
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-3.mga3
+ Revision: 362996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.10.0-2.mga1
+ Revision: 36141
- mageia rebuild
- imported package perl-Apache-SessionX

